Installing scipy fails with "ImportError: [...] undefined symbol: cblas_sgemm" on PyPy 3.6 on Arch Linux

Create issue
Issue #3158 new
Jaktrep von Schnitzelmeyer created an issue

The error is appended below. I have ensured that I have cblas, openblas, lapack and lapacke installed on my system which, as I understand, should be everything I could reasonably need to have preinstalled to not get such an error.

ERROR: Command errored out with exit status 1:
     command: /usr/bin/pypy3 /home/fixgoats/.local/lib/pypy3.6/site-packages/pip/_vendor/pep517/_in_process.py prepare_metadata_for_build_wheel /tmp/tmppnybtv8m
         cwd: /tmp/pip-install-ebnht1r3/scipy
    Complete output (44 lines):
    setup.py:420: UserWarning: Unrecognized setuptools command ('dist_info --egg-base /tmp/pip-modern-metadata-6ico2pqe'), proceeding with generating Cython sources and expanding templates
      ' '.join(sys.argv[1:])))
    Traceback (most recent call last):
      File "/tmp/pip-build-env-b0vqctdk/overlay/site-packages/numpy/core/__init__.py", line 16, in <module>
        from . import multiarray
    ImportError: /tmp/pip-build-env-b0vqctdk/overlay/site-packages/numpy/core/multiarray.pypy36-pp73-x86_64-linux-gnu.so: undefined symbol: cblas_sgemm

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/home/fixgoats/.local/lib/pypy3.6/site-packages/pip/_vendor/pep517/_in_process.py", line 257, in <module>
        main()
      File "/home/fixgoats/.local/lib/pypy3.6/site-packages/pip/_vendor/pep517/_in_process.py", line 240, in main
        json_out['return_val'] = hook(**hook_input['kwargs'])
      File "/home/fixgoats/.local/lib/pypy3.6/site-packages/pip/_vendor/pep517/_in_process.py", line 110, in prepare_metadata_for_build_wheel
        return hook(metadata_directory, config_settings)
      File "/tmp/pip-build-env-b0vqctdk/overlay/site-packages/setuptools/build_meta.py", line 156, in prepare_metadata_for_build_wheel
        self.run_setup()
      File "/tmp/pip-build-env-b0vqctdk/overlay/site-packages/setuptools/build_meta.py", line 243, in run_setup
        self).run_setup(setup_script=setup_script)
      File "/tmp/pip-build-env-b0vqctdk/overlay/site-packages/setuptools/build_meta.py", line 142, in run_setup
        exec(compile(code, __file__, 'exec'), locals())
      File "setup.py", line 540, in <module>
        setup_package()
      File "setup.py", line 516, in setup_package
        from numpy.distutils.core import setup
      File "/tmp/pip-build-env-b0vqctdk/overlay/site-packages/numpy/__init__.py", line 142, in <module>
        from . import add_newdocs
      File "/tmp/pip-build-env-b0vqctdk/overlay/site-packages/numpy/add_newdocs.py", line 13, in <module>
        from numpy.lib import add_newdoc
      File "/tmp/pip-build-env-b0vqctdk/overlay/site-packages/numpy/lib/__init__.py", line 8, in <module>
        from .type_check import *
      File "/tmp/pip-build-env-b0vqctdk/overlay/site-packages/numpy/lib/type_check.py", line 11, in <module>
        import numpy.core.numeric as _nx
      File "/tmp/pip-build-env-b0vqctdk/overlay/site-packages/numpy/core/__init__.py", line 26, in <module>
        raise ImportError(msg)
    ImportError:
    Importing the multiarray numpy extension module failed.  Most
    likely you are trying to import a failed build of numpy.
    If you're working with a numpy git repo, try `git clean -xdf` (removes all
    files not under version control).  Otherwise reinstall numpy.

    Original error was: /tmp/pip-build-env-b0vqctdk/overlay/site-packages/numpy/core/multiarray.pypy36-pp73-x86_64-linux-gnu.so: undefined symbol: cblas_sgemm

    ----------------------------------------
ERROR: Command errored out with exit status 1: /usr/bin/pypy3 /home/fixgoats/.local/lib/pypy3.6/site-packages/pip/_vendor/pep517/_in_process.py prepare_metadata_for_build_wheel /tmp/tmppnybtv8m Check the logs for full command output.

Comments (0)

  1. Log in to comment